#version 430 core

// Per vertex attributes
layout (location = 0) in vec3 vertexPosition;

uniform mat4 MV;
uniform mat4 MVP;
uniform mat4 invView;

out vec3 viewPosition;

void main()
{
    viewPosition = vec3( MV * vec4( vertexPosition, 1.0 ) );
    gl_Position = MVP * vec4( vertexPosition, 1.0 );
}